Get Revision Attribution Email
https://app.fossa.com/api/revisions/{locator}/attribution/emailQueue a job to generate and send an email of a revision's attribution report
Path parameters
locatorstringrequiredthe url-encoded locator of the revision
Query parameters
accessstringThe public ID
previewbooleanWhether to preview the report (default is false)
formatenumThe format of the report
HTMLMDPDFCSVTXTSPDXSPDX_JSONCYCLONEDX_JSONCYCLONEDX_XMLincludeDeepDependenciesbooleanWhether to include deep dependencies (default is true)
includeDirectDependenciesbooleanWhether to include direct dependencies (default is true)
includeLicenseListbooleanWhether to include the license list (default is false)
includeLicenseScanbooleanWhether to include the license scan (default is false)
includeProjectLicensebooleanWhether to include the project license (default is false)
includeCopyrightListbooleanWhether to include the copyright list (default is false)
includeFileMatchesbooleanWhether to include the file matches (default is false)
includeOpenVulnerabilitiesbooleanWhether to include the open vulnerabilities (default is false)
includeClosedVulnerabilitiesbooleanWhether to include the closed vulnerabilities (default is false)
includeDependencySummarybooleanWhether to include the dependency summary (default is false)
includeLicenseHeadersbooleanWhether to include the license headers (default is false)
includePackageLabelsbooleanWhether to include the package labels assigned to each dependency (default is false).
excludeFieldsobjectObject controlling which dependencies are excluded from the report. The only supported nested field is `packageLabels`: a non-empty array of package-label values; dependencies carrying any of these labels are excluded from the report.
Responses
200A JSON representation of the Task in our Databaseattempt_numberintegerThe number of attempts
idintegerThe ID of the task
taskstringThe task to be performed
contextobjectuserIdintegerThe user's ID
reportOptionsobjectThe report options
downloadbooleanWhether to download the report
createPublicReportbooleanWhether to create a public report
emailbooleanWhether to email the report
includeDeepDependenciesbooleanWhether to include deep dependencies
includeDirectDependenciesbooleanWhether to include direct dependencies
includeLicenseListbooleanWhether to include the license list
includeLicenseScanbooleanWhether to include the license scan
includeProjectLicensebooleanWhether to include the project license
includeCopyrightListbooleanWhether to include the copyright list
includeFileMatchesbooleanWhether to include the file matches
includeOpenVulnerabilitiesbooleanWhether to include the open vulnerabilities
includeClosedVulnerabilitiesbooleanWhether to include the closed vulnerabilities
includeDependencySummarybooleanWhether to include the dependency summary
includeLicenseHeadersbooleanWhether to include the license headers
locatorstringThe locator
maxRetriesintegerThe maximum number of retries
scheduledStartTimestring <date-time>The scheduled start time
updatedAtstring <date-time>The time the task was last updated
createdAtstring <date-time>The time the task was created
startedstring <date-time>The time the task was started
finishedstring <date-time>The time the task was finished
podstringThe pod the task is running on
statusstringThe status of the task
jobTokenstringThe token of the job in the FOSSA Backend
401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not FounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/revisions/%7Blocator%7D/attribution/emailcurl --request GET \ --url 'https://app.fossa.com/api/revisions/%7Blocator%7D/attribution/email' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Path params
locatorstringrequiredthe url-encoded locator of the revision
Query params
accessstringThe public ID
previewbooleanWhether to preview the report (default is false)
formatenumThe format of the report
includeDeepDependenciesbooleanWhether to include deep dependencies (default is true)
includeDirectDependenciesbooleanWhether to include direct dependencies (default is true)
includeLicenseListbooleanWhether to include the license list (default is false)
includeLicenseScanbooleanWhether to include the license scan (default is false)
includeProjectLicensebooleanWhether to include the project license (default is false)
includeCopyrightListbooleanWhether to include the copyright list (default is false)
includeFileMatchesbooleanWhether to include the file matches (default is false)
includeOpenVulnerabilitiesbooleanWhether to include the open vulnerabilities (default is false)
includeClosedVulnerabilitiesbooleanWhether to include the closed vulnerabilities (default is false)
includeDependencySummarybooleanWhether to include the dependency summary (default is false)
includeLicenseHeadersbooleanWhether to include the license headers (default is false)
includePackageLabelsbooleanWhether to include the package labels assigned to each dependency (default is false).
excludeFieldsobjectObject controlling which dependencies are excluded from the report. The only supported nested field is `packageLabels`: a non-empty array of package-label values; dependencies carrying any of these labels are excluded from the report.